%define oname libkscreen

Summary:	KDE Frameworks 5 display configuration library
Name:		%{oname}-kf5
Version:	5.10.5
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5wayland-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcb-randr)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xrandr)

%description
KDE Frameworks 5 display configuration library. It provides access to current
configuration of connected displays and ways to change the configuration.

%files
%{_kde5_bindir}/kscreen-doctor
%{_kde5_libexecdir}/kf5/kscreen_backend_launcher
%{_kde5_plugindir}/kscreen/*.so
%{_datadir}/dbus-1/services/org.kde.kscreen.service

#----------------------------------------------------------------------------

%define kf5screen_major 7
%define libkf5screen %mklibname kf5screen %{kf5screen_major}

%package -n %{libkf5screen}
Summary:	KDE Frameworks 5 display configuration shared library
Group:		System/Libraries
Requires:	%{name}

%description -n %{libkf5screen}
KDE Frameworks 5 display configuration shared library.

%files -n %{libkf5screen}
%{_kde5_libdir}/libKF5Screen.so.%{kf5screen_major}
%{_kde5_libdir}/libKF5Screen.so.%{version}

#----------------------------------------------------------------------------

%define devkf5screen %mklibname kf5screen -d

%package -n %{devkf5screen}
Summary:	Development files for KDE Frameworks 5 display configuration library
Group:		Development/KDE and Qt
Requires:	%{libkf5screen} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devkf5screen}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5screen}
%{_kde5_includedir}/KF5/KScreen
%{_kde5_includedir}/KF5/kscreen_version.h
%{_kde5_libdir}/cmake/KF5Screen
%{_kde5_libdir}/pkgconfig/kscreen2.pc
%{_kde5_libdir}/libKF5Screen.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Wed Aug 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-1
- (4fde794) New version 5.10.5

* Wed Aug 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.4-1
- (11678c6) New version 5.10.4

* Wed Mar 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-1
- (dc2277e) New version 5.9.4

* Wed Mar 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-1
- (d9e03dd) New version 5.9.3

* Thu Feb 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.2-1
- (e78f94d) New version 5.9.2

* Mon Feb 13 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.1-1
- (d5287ef) New version 5.9.1

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-2
- (8d649e1) MassBuild#1230: Increase release tag

* Fri Feb 03 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (dc0f728) New version 5.9.0

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-2
- (9ca7bf1) MassBuild#1211: Increase release tag

* Mon Nov 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-1
- (0120deb) New version 5.8.3

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.2-2
- (a19d17d) MassBuild#1169: Increase release tag

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (cbd0112) Update files (add /usr/bin/kscreen-doctor)
- (valerol: f2e54c9) New version 5.7.2

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.5-1
- (82a4da8) New version 5.6.5

* Thu Apr 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.3-1
- (2e6451a) New version 5.6.3

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-2
- (ba311b5) MassBuild#1027: Increase release tag

* Sat Apr 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-1
- (bf2f0c9) Build requires kf5wayland-devel
- (bf2f0c9) New library major version 7
- (Andrey Bondrov: 81b6ed2) New version 5.6.2

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-2
- (3988c6e) MassBuild#1001: Increase release tag

* Wed Mar 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-1
- (876b548) New version 5.5.5

* Wed Jan 27 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.4-1
- (f290c10) New version 5.5.4

* Thu Jan 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.3-1
- (8a5a6c3) New version 5.5.3

* Mon Dec 28 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.2-1
- (c3f1bff) Update files (add org.kde.kscreen.service dbus service)
- (Andrey Bondrov: aef6ea5) New version 5.5.2

* Thu Nov 19 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.3-1
- (cc0c2ac) New version 5.4.3

* Wed Oct 07 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.2-1
- (f4e3390) New version 5.4.2

* Tue Sep 08 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.1-1
- (5ea9fb3) New version 5.4.1

* Wed Aug 26 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.0-1
- (15961b8) New version 5.4.0

* Thu Aug 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.2-2
- (cfbe08b) MassBuild#782: Increase release tag

* Tue Jun 30 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.2-1
- (33e311b) New version 5.3.2


